from machine import Pin
import time

# Define pins
buttonPin = Pin(3, Pin.IN, Pin.PULL_DOWN)  # GPIO3 (D2) with internal pull-down resistor
ledPin = Pin(10, Pin.OUT)  # GPIO10 for LED

while True:
    buttonState = buttonPin.value()  # Read button state
    print("Button state:", buttonState)  # Print button state for debugging

    if buttonState == 1:  # Button pressed (active HIGH due to pull-down)
        ledPin.value(1)  # Turn LED on
    else:
        ledPin.value(0)  # Turn LED off

    time.sleep(0.01)  # Small debounce delay (10ms)
